Update event details
Updates supplied fields, normalizes dates in the effective event timezone and recomputes relative communication schedules when event dates/timezone change. Communications hold release requires explicit confirmation, and scheduled address release requires a release date. Requires the event management capability; all referenced records must belong to this event and organization.
curl --request PUT \
--url https://api.gratona.com/v1/admin/events/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Annual Gala",
"slug": "annual-gala",
"description": "Example",
"type": "Example",
"status": "draft",
"visibility": "public",
"search_indexing_enabled": false,
"timezone": "Example",
"starts_at": "2026-12-20T18:00:00Z",
"ends_at": "2026-12-20T18:00:00Z",
"registration_opens_at": "2026-12-20T18:00:00Z",
"registration_closes_at": "2026-12-20T18:00:00Z",
"location_name": "Example",
"location_address": "Example",
"public_location_mode": "hidden",
"public_location_summary": "Example",
"full_address_release_policy": "never",
"full_address_release_at": "2026-12-20T18:00:00Z",
"communications_hold": false,
"release_communications_hold_confirmed": false,
"registration_identity_mode": "minimal_rsvp",
"virtual_url": "Example",
"capacity": 1,
"program_id": 1,
"campaign_program_id": 1,
"recipient_group_entity_id": 1,
"trip_id": 1,
"designation_entity_id": 1,
"cover_image_id": 1,
"settings": {
"program_setting_id": 1,
"public_page_enabled": false,
"show_sponsors": false,
"show_remaining_capacity": false,
"allow_donation_addon": false,
"allow_recurring_gift_ask": false,
"allow_child_sponsorship_ask": false,
"recipient_sponsorship_program_id": 1,
"cover_fees_enabled": false,
"processing_percentage": 1,
"reservation_minutes": 30,
"public_offline_payment_enabled": false,
"magic_link_management_enabled": false,
"event_day_check_in_enabled": false,
"check_in_blocked_payment_statuses": [
"pending"
],
"include_pending_orders_in_event_revenue": false,
"wallet_passes_enabled": false,
"auction_enabled": false,
"privacy_mode": "Example",
"check_payment_instructions": "Example",
"donor_hysform_id": 1,
"emailset_id": 1,
"confirmation_email_template_id": 1,
"reminder_email_template_id": 1,
"follow_up_email_template_id": 1,
"donation_ask_amounts": [
1
]
},
"template": "Example",
"starter_preset": "Example",
"seed_standard_communications": false
}
'import requests
url = "https://api.gratona.com/v1/admin/events/{id}"
payload = {
"name": "Annual Gala",
"slug": "annual-gala",
"description": "Example",
"type": "Example",
"status": "draft",
"visibility": "public",
"search_indexing_enabled": False,
"timezone": "Example",
"starts_at": "2026-12-20T18:00:00Z",
"ends_at": "2026-12-20T18:00:00Z",
"registration_opens_at": "2026-12-20T18:00:00Z",
"registration_closes_at": "2026-12-20T18:00:00Z",
"location_name": "Example",
"location_address": "Example",
"public_location_mode": "hidden",
"public_location_summary": "Example",
"full_address_release_policy": "never",
"full_address_release_at": "2026-12-20T18:00:00Z",
"communications_hold": False,
"release_communications_hold_confirmed": False,
"registration_identity_mode": "minimal_rsvp",
"virtual_url": "Example",
"capacity": 1,
"program_id": 1,
"campaign_program_id": 1,
"recipient_group_entity_id": 1,
"trip_id": 1,
"designation_entity_id": 1,
"cover_image_id": 1,
"settings": {
"program_setting_id": 1,
"public_page_enabled": False,
"show_sponsors": False,
"show_remaining_capacity": False,
"allow_donation_addon": False,
"allow_recurring_gift_ask": False,
"allow_child_sponsorship_ask": False,
"recipient_sponsorship_program_id": 1,
"cover_fees_enabled": False,
"processing_percentage": 1,
"reservation_minutes": 30,
"public_offline_payment_enabled": False,
"magic_link_management_enabled": False,
"event_day_check_in_enabled": False,
"check_in_blocked_payment_statuses": ["pending"],
"include_pending_orders_in_event_revenue": False,
"wallet_passes_enabled": False,
"auction_enabled": False,
"privacy_mode": "Example",
"check_payment_instructions": "Example",
"donor_hysform_id": 1,
"emailset_id": 1,
"confirmation_email_template_id": 1,
"reminder_email_template_id": 1,
"follow_up_email_template_id": 1,
"donation_ask_amounts": [1]
},
"template": "Example",
"starter_preset": "Example",
"seed_standard_communications": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Annual Gala',
slug: 'annual-gala',
description: 'Example',
type: 'Example',
status: 'draft',
visibility: 'public',
search_indexing_enabled: false,
timezone: 'Example',
starts_at: '2026-12-20T18:00:00Z',
ends_at: '2026-12-20T18:00:00Z',
registration_opens_at: '2026-12-20T18:00:00Z',
registration_closes_at: '2026-12-20T18:00:00Z',
location_name: 'Example',
location_address: 'Example',
public_location_mode: 'hidden',
public_location_summary: 'Example',
full_address_release_policy: 'never',
full_address_release_at: '2026-12-20T18:00:00Z',
communications_hold: false,
release_communications_hold_confirmed: false,
registration_identity_mode: 'minimal_rsvp',
virtual_url: 'Example',
capacity: 1,
program_id: 1,
campaign_program_id: 1,
recipient_group_entity_id: 1,
trip_id: 1,
designation_entity_id: 1,
cover_image_id: 1,
settings: {
program_setting_id: 1,
public_page_enabled: false,
show_sponsors: false,
show_remaining_capacity: false,
allow_donation_addon: false,
allow_recurring_gift_ask: false,
allow_child_sponsorship_ask: false,
recipient_sponsorship_program_id: 1,
cover_fees_enabled: false,
processing_percentage: 1,
reservation_minutes: 30,
public_offline_payment_enabled: false,
magic_link_management_enabled: false,
event_day_check_in_enabled: false,
check_in_blocked_payment_statuses: ['pending'],
include_pending_orders_in_event_revenue: false,
wallet_passes_enabled: false,
auction_enabled: false,
privacy_mode: 'Example',
check_payment_instructions: 'Example',
donor_hysform_id: 1,
emailset_id: 1,
confirmation_email_template_id: 1,
reminder_email_template_id: 1,
follow_up_email_template_id: 1,
donation_ask_amounts: [1]
},
template: 'Example',
starter_preset: 'Example',
seed_standard_communications: false
})
};
fetch('https://api.gratona.com/v1/admin/events/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.gratona.com/v1/admin/events/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'Annual Gala',
'slug' => 'annual-gala',
'description' => 'Example',
'type' => 'Example',
'status' => 'draft',
'visibility' => 'public',
'search_indexing_enabled' => false,
'timezone' => 'Example',
'starts_at' => '2026-12-20T18:00:00Z',
'ends_at' => '2026-12-20T18:00:00Z',
'registration_opens_at' => '2026-12-20T18:00:00Z',
'registration_closes_at' => '2026-12-20T18:00:00Z',
'location_name' => 'Example',
'location_address' => 'Example',
'public_location_mode' => 'hidden',
'public_location_summary' => 'Example',
'full_address_release_policy' => 'never',
'full_address_release_at' => '2026-12-20T18:00:00Z',
'communications_hold' => false,
'release_communications_hold_confirmed' => false,
'registration_identity_mode' => 'minimal_rsvp',
'virtual_url' => 'Example',
'capacity' => 1,
'program_id' => 1,
'campaign_program_id' => 1,
'recipient_group_entity_id' => 1,
'trip_id' => 1,
'designation_entity_id' => 1,
'cover_image_id' => 1,
'settings' => [
'program_setting_id' => 1,
'public_page_enabled' => false,
'show_sponsors' => false,
'show_remaining_capacity' => false,
'allow_donation_addon' => false,
'allow_recurring_gift_ask' => false,
'allow_child_sponsorship_ask' => false,
'recipient_sponsorship_program_id' => 1,
'cover_fees_enabled' => false,
'processing_percentage' => 1,
'reservation_minutes' => 30,
'public_offline_payment_enabled' => false,
'magic_link_management_enabled' => false,
'event_day_check_in_enabled' => false,
'check_in_blocked_payment_statuses' => [
'pending'
],
'include_pending_orders_in_event_revenue' => false,
'wallet_passes_enabled' => false,
'auction_enabled' => false,
'privacy_mode' => 'Example',
'check_payment_instructions' => 'Example',
'donor_hysform_id' => 1,
'emailset_id' => 1,
'confirmation_email_template_id' => 1,
'reminder_email_template_id' => 1,
'follow_up_email_template_id' => 1,
'donation_ask_amounts' => [
1
]
],
'template' => 'Example',
'starter_preset' => 'Example',
'seed_standard_communications' => false
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.gratona.com/v1/admin/events/{id}"
payload := strings.NewReader("{\n \"name\": \"Annual Gala\",\n \"slug\": \"annual-gala\",\n \"description\": \"Example\",\n \"type\": \"Example\",\n \"status\": \"draft\",\n \"visibility\": \"public\",\n \"search_indexing_enabled\": false,\n \"timezone\": \"Example\",\n \"starts_at\": \"2026-12-20T18:00:00Z\",\n \"ends_at\": \"2026-12-20T18:00:00Z\",\n \"registration_opens_at\": \"2026-12-20T18:00:00Z\",\n \"registration_closes_at\": \"2026-12-20T18:00:00Z\",\n \"location_name\": \"Example\",\n \"location_address\": \"Example\",\n \"public_location_mode\": \"hidden\",\n \"public_location_summary\": \"Example\",\n \"full_address_release_policy\": \"never\",\n \"full_address_release_at\": \"2026-12-20T18:00:00Z\",\n \"communications_hold\": false,\n \"release_communications_hold_confirmed\": false,\n \"registration_identity_mode\": \"minimal_rsvp\",\n \"virtual_url\": \"Example\",\n \"capacity\": 1,\n \"program_id\": 1,\n \"campaign_program_id\": 1,\n \"recipient_group_entity_id\": 1,\n \"trip_id\": 1,\n \"designation_entity_id\": 1,\n \"cover_image_id\": 1,\n \"settings\": {\n \"program_setting_id\": 1,\n \"public_page_enabled\": false,\n \"show_sponsors\": false,\n \"show_remaining_capacity\": false,\n \"allow_donation_addon\": false,\n \"allow_recurring_gift_ask\": false,\n \"allow_child_sponsorship_ask\": false,\n \"recipient_sponsorship_program_id\": 1,\n \"cover_fees_enabled\": false,\n \"processing_percentage\": 1,\n \"reservation_minutes\": 30,\n \"public_offline_payment_enabled\": false,\n \"magic_link_management_enabled\": false,\n \"event_day_check_in_enabled\": false,\n \"check_in_blocked_payment_statuses\": [\n \"pending\"\n ],\n \"include_pending_orders_in_event_revenue\": false,\n \"wallet_passes_enabled\": false,\n \"auction_enabled\": false,\n \"privacy_mode\": \"Example\",\n \"check_payment_instructions\": \"Example\",\n \"donor_hysform_id\": 1,\n \"emailset_id\": 1,\n \"confirmation_email_template_id\": 1,\n \"reminder_email_template_id\": 1,\n \"follow_up_email_template_id\": 1,\n \"donation_ask_amounts\": [\n 1\n ]\n },\n \"template\": \"Example\",\n \"starter_preset\": \"Example\",\n \"seed_standard_communications\": false\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.gratona.com/v1/admin/events/{id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"Annual Gala\",\n \"slug\": \"annual-gala\",\n \"description\": \"Example\",\n \"type\": \"Example\",\n \"status\": \"draft\",\n \"visibility\": \"public\",\n \"search_indexing_enabled\": false,\n \"timezone\": \"Example\",\n \"starts_at\": \"2026-12-20T18:00:00Z\",\n \"ends_at\": \"2026-12-20T18:00:00Z\",\n \"registration_opens_at\": \"2026-12-20T18:00:00Z\",\n \"registration_closes_at\": \"2026-12-20T18:00:00Z\",\n \"location_name\": \"Example\",\n \"location_address\": \"Example\",\n \"public_location_mode\": \"hidden\",\n \"public_location_summary\": \"Example\",\n \"full_address_release_policy\": \"never\",\n \"full_address_release_at\": \"2026-12-20T18:00:00Z\",\n \"communications_hold\": false,\n \"release_communications_hold_confirmed\": false,\n \"registration_identity_mode\": \"minimal_rsvp\",\n \"virtual_url\": \"Example\",\n \"capacity\": 1,\n \"program_id\": 1,\n \"campaign_program_id\": 1,\n \"recipient_group_entity_id\": 1,\n \"trip_id\": 1,\n \"designation_entity_id\": 1,\n \"cover_image_id\": 1,\n \"settings\": {\n \"program_setting_id\": 1,\n \"public_page_enabled\": false,\n \"show_sponsors\": false,\n \"show_remaining_capacity\": false,\n \"allow_donation_addon\": false,\n \"allow_recurring_gift_ask\": false,\n \"allow_child_sponsorship_ask\": false,\n \"recipient_sponsorship_program_id\": 1,\n \"cover_fees_enabled\": false,\n \"processing_percentage\": 1,\n \"reservation_minutes\": 30,\n \"public_offline_payment_enabled\": false,\n \"magic_link_management_enabled\": false,\n \"event_day_check_in_enabled\": false,\n \"check_in_blocked_payment_statuses\": [\n \"pending\"\n ],\n \"include_pending_orders_in_event_revenue\": false,\n \"wallet_passes_enabled\": false,\n \"auction_enabled\": false,\n \"privacy_mode\": \"Example\",\n \"check_payment_instructions\": \"Example\",\n \"donor_hysform_id\": 1,\n \"emailset_id\": 1,\n \"confirmation_email_template_id\": 1,\n \"reminder_email_template_id\": 1,\n \"follow_up_email_template_id\": 1,\n \"donation_ask_amounts\": [\n 1\n ]\n },\n \"template\": \"Example\",\n \"starter_preset\": \"Example\",\n \"seed_standard_communications\": false\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gratona.com/v1/admin/events/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"Annual Gala\",\n \"slug\": \"annual-gala\",\n \"description\": \"Example\",\n \"type\": \"Example\",\n \"status\": \"draft\",\n \"visibility\": \"public\",\n \"search_indexing_enabled\": false,\n \"timezone\": \"Example\",\n \"starts_at\": \"2026-12-20T18:00:00Z\",\n \"ends_at\": \"2026-12-20T18:00:00Z\",\n \"registration_opens_at\": \"2026-12-20T18:00:00Z\",\n \"registration_closes_at\": \"2026-12-20T18:00:00Z\",\n \"location_name\": \"Example\",\n \"location_address\": \"Example\",\n \"public_location_mode\": \"hidden\",\n \"public_location_summary\": \"Example\",\n \"full_address_release_policy\": \"never\",\n \"full_address_release_at\": \"2026-12-20T18:00:00Z\",\n \"communications_hold\": false,\n \"release_communications_hold_confirmed\": false,\n \"registration_identity_mode\": \"minimal_rsvp\",\n \"virtual_url\": \"Example\",\n \"capacity\": 1,\n \"program_id\": 1,\n \"campaign_program_id\": 1,\n \"recipient_group_entity_id\": 1,\n \"trip_id\": 1,\n \"designation_entity_id\": 1,\n \"cover_image_id\": 1,\n \"settings\": {\n \"program_setting_id\": 1,\n \"public_page_enabled\": false,\n \"show_sponsors\": false,\n \"show_remaining_capacity\": false,\n \"allow_donation_addon\": false,\n \"allow_recurring_gift_ask\": false,\n \"allow_child_sponsorship_ask\": false,\n \"recipient_sponsorship_program_id\": 1,\n \"cover_fees_enabled\": false,\n \"processing_percentage\": 1,\n \"reservation_minutes\": 30,\n \"public_offline_payment_enabled\": false,\n \"magic_link_management_enabled\": false,\n \"event_day_check_in_enabled\": false,\n \"check_in_blocked_payment_statuses\": [\n \"pending\"\n ],\n \"include_pending_orders_in_event_revenue\": false,\n \"wallet_passes_enabled\": false,\n \"auction_enabled\": false,\n \"privacy_mode\": \"Example\",\n \"check_payment_instructions\": \"Example\",\n \"donor_hysform_id\": 1,\n \"emailset_id\": 1,\n \"confirmation_email_template_id\": 1,\n \"reminder_email_template_id\": 1,\n \"follow_up_email_template_id\": 1,\n \"donation_ask_amounts\": [\n 1\n ]\n },\n \"template\": \"Example\",\n \"starter_preset\": \"Example\",\n \"seed_standard_communications\": false\n}"
response = http.request(request)
puts response.read_body{
"data": {
"name": "Annual Gala",
"slug": "annual-gala",
"description": "Example",
"type": "Example",
"status": "draft",
"visibility": "public",
"search_indexing_enabled": false,
"timezone": "Example",
"starts_at": "2026-12-20T18:00:00Z",
"ends_at": "2026-12-20T18:00:00Z",
"registration_opens_at": "2026-12-20T18:00:00Z",
"registration_closes_at": "2026-12-20T18:00:00Z",
"location_name": "Example",
"location_address": "Example",
"public_location_mode": "hidden",
"public_location_summary": "Example",
"full_address_release_policy": "never",
"full_address_release_at": "2026-12-20T18:00:00Z",
"communications_hold": false,
"registration_identity_mode": "minimal_rsvp",
"virtual_url": "Example",
"capacity": 1,
"program_id": 1,
"campaign_program_id": 1,
"recipient_group_entity_id": 1,
"trip_id": 1,
"designation_entity_id": 1,
"cover_image_id": 1,
"settings": {
"program_setting_id": 1,
"public_page_enabled": false,
"show_sponsors": false,
"show_remaining_capacity": false,
"allow_donation_addon": false,
"allow_recurring_gift_ask": false,
"allow_child_sponsorship_ask": false,
"recipient_sponsorship_program_id": 1,
"cover_fees_enabled": false,
"processing_percentage": 1,
"reservation_minutes": 30,
"public_offline_payment_enabled": false,
"magic_link_management_enabled": false,
"event_day_check_in_enabled": false,
"check_in_blocked_payment_statuses": [
"pending"
],
"include_pending_orders_in_event_revenue": false,
"wallet_passes_enabled": false,
"auction_enabled": false,
"privacy_mode": "Example",
"check_payment_instructions": "Example",
"donor_hysform_id": 1,
"emailset_id": 1,
"confirmation_email_template_id": 1,
"reminder_email_template_id": 1,
"follow_up_email_template_id": 1,
"donation_ask_amounts": [
1
]
},
"id": 42,
"client_id": 42,
"cover_image_url": "Example",
"currency": "USD",
"location": {
"mode": "internal",
"label": "Example",
"venue": "Example",
"address": "Example",
"map_allowed": false
},
"inherited_event_settings": {},
"published_at": "2026-10-20T12:00:00Z",
"completed_at": "2026-10-20T12:00:00Z",
"registered_attendee_count": 42,
"checked_in_count": 42,
"readiness": [
{
"key": "event_profile",
"label": "Event profile",
"ready": false,
"required": false,
"message": "Name, slug, and event type are required."
}
],
"people": [
{
"id": 42,
"role": "host",
"display_name": "Example",
"public_visibility": false,
"sort_order": 42,
"donor_id": 42,
"user_id": 42
}
],
"ticket_types": [
{
"id": 1,
"client_id": 1,
"event_id": 1,
"name": "Annual Gala",
"code": "Example",
"description": "Example",
"price": "25.00",
"fair_market_value": "25.00",
"quantity_available": 1,
"quantity_sold": 1,
"quantity_reserved": 1,
"admissions_per_unit": 1,
"registration_group_kind": "Example",
"group_label_prompt": "Example",
"attendee_details_timing": "Example",
"waitlist_enabled": false,
"min_per_order": 1,
"max_per_order": 1,
"attendee_details_required": false,
"is_active": false,
"visibility": "public",
"sale_starts_at": "2026-10-20T12:00:00Z",
"sale_ends_at": "2026-10-20T12:00:00Z",
"sort_order": 1,
"settings": {},
"created_at": "2026-10-20T12:00:00Z",
"updated_at": "2026-10-20T12:00:00Z",
"deleted_at": "2026-10-20T12:00:00Z"
}
],
"questions": [
{
"id": 1,
"client_id": 1,
"event_id": 1,
"scope": "Example",
"field_key": "dietary_preferences",
"field_label": "Dietary preferences",
"field_type": "Example",
"help_text": "Example",
"options": [
"Example"
],
"applies_to_ticket_type_ids": [
1
],
"required": false,
"is_active": false,
"sort_order": 1,
"created_at": "2026-10-20T12:00:00Z",
"updated_at": "2026-10-20T12:00:00Z",
"deleted_at": "2026-10-20T12:00:00Z"
}
],
"sponsor_packages": [
{
"id": 1,
"client_id": 1,
"event_id": 1,
"name": "Annual Gala",
"tier": "Example",
"description": "Example",
"price": "25.00",
"fair_market_value": "25.00",
"included_tickets": 1,
"included_tables": 1,
"quantity_available": 1,
"quantity_sold": 1,
"quantity_reserved": 1,
"visibility": "public",
"deliverables_template": [
"<string>"
],
"settings": {},
"is_active": false,
"sort_order": 1,
"created_at": "2026-10-20T12:00:00Z",
"updated_at": "2026-10-20T12:00:00Z",
"deleted_at": "2026-10-20T12:00:00Z"
}
],
"tables": [
{
"id": 1,
"client_id": 1,
"event_id": 1,
"name": "Annual Gala",
"section": "Example",
"capacity": 1,
"host_donor_id": 1,
"sort_order": 1,
"notes": "Example",
"created_at": "2026-10-20T12:00:00Z",
"updated_at": "2026-10-20T12:00:00Z",
"deleted_at": "2026-10-20T12:00:00Z",
"attendees_count": 42
}
],
"auction_items": [
{
"id": 1,
"client_id": 1,
"event_id": 1,
"name": "Annual Gala",
"description": "Example",
"fair_market_value": "25.00",
"starting_bid": "25.00",
"buy_now_price": "25.00",
"quantity_available": 1,
"quantity_sold": 1,
"status": "draft",
"visibility": "public",
"sort_order": 1,
"settings": {},
"created_at": "2026-10-20T12:00:00Z",
"updated_at": "2026-10-20T12:00:00Z",
"deleted_at": "2026-10-20T12:00:00Z",
"bid_summary": {
"active_bid_count": 42,
"awarded_count": 42,
"bid_count": 42,
"purchased_count": 42,
"high_bid": 0,
"settled_total": 0,
"last_bid_at": "Example",
"leader_at": "Example",
"leader_signature": "Example",
"leader_status": "Example",
"winner": "Example"
}
}
],
"promo_codes": [
{
"id": 1,
"client_id": 1,
"event_id": 1,
"code": "Example",
"type": "Example",
"value": "25.00",
"max_redemptions": 1,
"redemptions_count": 1,
"per_order_limit": 1,
"starts_at": "2026-10-20T12:00:00Z",
"ends_at": "2026-10-20T12:00:00Z",
"ticket_type_ids": [
1
],
"sponsor_package_ids": [
1
],
"is_active": false,
"created_at": "2026-10-20T12:00:00Z",
"updated_at": "2026-10-20T12:00:00Z",
"deleted_at": "2026-10-20T12:00:00Z"
}
],
"communications": [
{
"id": 1,
"client_id": 1,
"event_id": 1,
"type": "Example",
"trigger": "Example",
"channel": "Example",
"status": "draft",
"segment": "Example",
"subject": "Example",
"body": "Example",
"send_at": "2026-10-20T12:00:00Z",
"schedule_mode": "Example",
"schedule_config": {},
"schedule_claim_id": 1,
"claimed_at": "2026-10-20T12:00:00Z",
"sent_at": "2026-10-20T12:00:00Z",
"metadata": {},
"created_at": "2026-10-20T12:00:00Z",
"updated_at": "2026-10-20T12:00:00Z",
"deleted_at": "2026-10-20T12:00:00Z"
}
],
"capabilities": {
"can_view": false,
"can_manage_setup": false,
"can_manage_sponsors": false,
"can_check_in": false,
"can_view_finance": false,
"can_run_reports": false,
"can_publish": false
},
"availability": {},
"registration_v2_enabled": false,
"invitation_task_date_review": {}
}
}{
"message": "Something went wrong. Please try again.",
"status": "error",
"error": "invalid_request",
"code": "DONOR_NOT_FOUND"
}{
"message": "Something went wrong. Please try again.",
"status": "error",
"error": "invalid_request",
"code": "DONOR_NOT_FOUND"
}{
"message": "Not Found",
"status": "error"
}{
"errors": {},
"status": "error",
"message": "The given data was invalid."
}Authorizations
Passport bearer token authentication for legacy admin sessions.
Path Parameters
Journey ID in the authenticated organization.
42
Body
Name.
255"Annual Gala"
Slug.
255^[a-z0-9-]+$"annual-gala"
Description.
"Example"
Type.
80"Example"
Status.
draft, published, registration_open, registration_closed, live, completed, reconciled, archived, null "draft"
Visibility.
public, unlisted, invite_only, internal, null "public"
Search indexing enabled.
false
Timezone.
64"Example"
Starts at. Date without offset is interpreted in the event timezone.
"2026-12-20T18:00:00Z"
Ends at. Date without offset is interpreted in the event timezone. Must be at least starts_at.
"2026-12-20T18:00:00Z"
Registration opens at. Date without offset is interpreted in the event timezone.
"2026-12-20T18:00:00Z"
Registration closes at. Date without offset is interpreted in the event timezone.
"2026-12-20T18:00:00Z"
Location name.
255"Example"
Location address.
"Example"
Public location mode.
hidden, summary, venue_only, full, null "hidden"
Public location summary.
255"Example"
Full address release policy.
never, after_confirmation, confirmation_email, scheduled_reminder, null "never"
Full address release at. Date without offset is interpreted in the event timezone.
"2026-12-20T18:00:00Z"
Communications hold.
false
Release communications hold confirmed.
false
Registration identity mode.
minimal_rsvp, organization_donor_form, custom_event_fields, null "minimal_rsvp"
Virtual url.
255"Example"
Capacity.
x >= 11
Program id. Referenced record must belong to the authenticated organization.
1
Campaign program id. Referenced record must belong to the authenticated organization.
1
Recipient group entity id. Referenced record must belong to the authenticated organization. Sample trip records are unavailable.
1
Trip id. Referenced record must belong to the authenticated organization. Sample trip records are unavailable.
1
Designation entity id. Referenced record must belong to the authenticated organization. Sample trip records are unavailable.
1
Cover image id. Referenced record must belong to the authenticated organization.
1
Settings.
Show child attributes
Show child attributes
Template.
80"Example"
Starter preset.
"Example"
Seed standard communications.
false
Response
Update event details completed.
Show child attributes
Show child attributes
curl --request PUT \
--url https://api.gratona.com/v1/admin/events/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Annual Gala",
"slug": "annual-gala",
"description": "Example",
"type": "Example",
"status": "draft",
"visibility": "public",
"search_indexing_enabled": false,
"timezone": "Example",
"starts_at": "2026-12-20T18:00:00Z",
"ends_at": "2026-12-20T18:00:00Z",
"registration_opens_at": "2026-12-20T18:00:00Z",
"registration_closes_at": "2026-12-20T18:00:00Z",
"location_name": "Example",
"location_address": "Example",
"public_location_mode": "hidden",
"public_location_summary": "Example",
"full_address_release_policy": "never",
"full_address_release_at": "2026-12-20T18:00:00Z",
"communications_hold": false,
"release_communications_hold_confirmed": false,
"registration_identity_mode": "minimal_rsvp",
"virtual_url": "Example",
"capacity": 1,
"program_id": 1,
"campaign_program_id": 1,
"recipient_group_entity_id": 1,
"trip_id": 1,
"designation_entity_id": 1,
"cover_image_id": 1,
"settings": {
"program_setting_id": 1,
"public_page_enabled": false,
"show_sponsors": false,
"show_remaining_capacity": false,
"allow_donation_addon": false,
"allow_recurring_gift_ask": false,
"allow_child_sponsorship_ask": false,
"recipient_sponsorship_program_id": 1,
"cover_fees_enabled": false,
"processing_percentage": 1,
"reservation_minutes": 30,
"public_offline_payment_enabled": false,
"magic_link_management_enabled": false,
"event_day_check_in_enabled": false,
"check_in_blocked_payment_statuses": [
"pending"
],
"include_pending_orders_in_event_revenue": false,
"wallet_passes_enabled": false,
"auction_enabled": false,
"privacy_mode": "Example",
"check_payment_instructions": "Example",
"donor_hysform_id": 1,
"emailset_id": 1,
"confirmation_email_template_id": 1,
"reminder_email_template_id": 1,
"follow_up_email_template_id": 1,
"donation_ask_amounts": [
1
]
},
"template": "Example",
"starter_preset": "Example",
"seed_standard_communications": false
}
'import requests
url = "https://api.gratona.com/v1/admin/events/{id}"
payload = {
"name": "Annual Gala",
"slug": "annual-gala",
"description": "Example",
"type": "Example",
"status": "draft",
"visibility": "public",
"search_indexing_enabled": False,
"timezone": "Example",
"starts_at": "2026-12-20T18:00:00Z",
"ends_at": "2026-12-20T18:00:00Z",
"registration_opens_at": "2026-12-20T18:00:00Z",
"registration_closes_at": "2026-12-20T18:00:00Z",
"location_name": "Example",
"location_address": "Example",
"public_location_mode": "hidden",
"public_location_summary": "Example",
"full_address_release_policy": "never",
"full_address_release_at": "2026-12-20T18:00:00Z",
"communications_hold": False,
"release_communications_hold_confirmed": False,
"registration_identity_mode": "minimal_rsvp",
"virtual_url": "Example",
"capacity": 1,
"program_id": 1,
"campaign_program_id": 1,
"recipient_group_entity_id": 1,
"trip_id": 1,
"designation_entity_id": 1,
"cover_image_id": 1,
"settings": {
"program_setting_id": 1,
"public_page_enabled": False,
"show_sponsors": False,
"show_remaining_capacity": False,
"allow_donation_addon": False,
"allow_recurring_gift_ask": False,
"allow_child_sponsorship_ask": False,
"recipient_sponsorship_program_id": 1,
"cover_fees_enabled": False,
"processing_percentage": 1,
"reservation_minutes": 30,
"public_offline_payment_enabled": False,
"magic_link_management_enabled": False,
"event_day_check_in_enabled": False,
"check_in_blocked_payment_statuses": ["pending"],
"include_pending_orders_in_event_revenue": False,
"wallet_passes_enabled": False,
"auction_enabled": False,
"privacy_mode": "Example",
"check_payment_instructions": "Example",
"donor_hysform_id": 1,
"emailset_id": 1,
"confirmation_email_template_id": 1,
"reminder_email_template_id": 1,
"follow_up_email_template_id": 1,
"donation_ask_amounts": [1]
},
"template": "Example",
"starter_preset": "Example",
"seed_standard_communications": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Annual Gala',
slug: 'annual-gala',
description: 'Example',
type: 'Example',
status: 'draft',
visibility: 'public',
search_indexing_enabled: false,
timezone: 'Example',
starts_at: '2026-12-20T18:00:00Z',
ends_at: '2026-12-20T18:00:00Z',
registration_opens_at: '2026-12-20T18:00:00Z',
registration_closes_at: '2026-12-20T18:00:00Z',
location_name: 'Example',
location_address: 'Example',
public_location_mode: 'hidden',
public_location_summary: 'Example',
full_address_release_policy: 'never',
full_address_release_at: '2026-12-20T18:00:00Z',
communications_hold: false,
release_communications_hold_confirmed: false,
registration_identity_mode: 'minimal_rsvp',
virtual_url: 'Example',
capacity: 1,
program_id: 1,
campaign_program_id: 1,
recipient_group_entity_id: 1,
trip_id: 1,
designation_entity_id: 1,
cover_image_id: 1,
settings: {
program_setting_id: 1,
public_page_enabled: false,
show_sponsors: false,
show_remaining_capacity: false,
allow_donation_addon: false,
allow_recurring_gift_ask: false,
allow_child_sponsorship_ask: false,
recipient_sponsorship_program_id: 1,
cover_fees_enabled: false,
processing_percentage: 1,
reservation_minutes: 30,
public_offline_payment_enabled: false,
magic_link_management_enabled: false,
event_day_check_in_enabled: false,
check_in_blocked_payment_statuses: ['pending'],
include_pending_orders_in_event_revenue: false,
wallet_passes_enabled: false,
auction_enabled: false,
privacy_mode: 'Example',
check_payment_instructions: 'Example',
donor_hysform_id: 1,
emailset_id: 1,
confirmation_email_template_id: 1,
reminder_email_template_id: 1,
follow_up_email_template_id: 1,
donation_ask_amounts: [1]
},
template: 'Example',
starter_preset: 'Example',
seed_standard_communications: false
})
};
fetch('https://api.gratona.com/v1/admin/events/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.gratona.com/v1/admin/events/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'Annual Gala',
'slug' => 'annual-gala',
'description' => 'Example',
'type' => 'Example',
'status' => 'draft',
'visibility' => 'public',
'search_indexing_enabled' => false,
'timezone' => 'Example',
'starts_at' => '2026-12-20T18:00:00Z',
'ends_at' => '2026-12-20T18:00:00Z',
'registration_opens_at' => '2026-12-20T18:00:00Z',
'registration_closes_at' => '2026-12-20T18:00:00Z',
'location_name' => 'Example',
'location_address' => 'Example',
'public_location_mode' => 'hidden',
'public_location_summary' => 'Example',
'full_address_release_policy' => 'never',
'full_address_release_at' => '2026-12-20T18:00:00Z',
'communications_hold' => false,
'release_communications_hold_confirmed' => false,
'registration_identity_mode' => 'minimal_rsvp',
'virtual_url' => 'Example',
'capacity' => 1,
'program_id' => 1,
'campaign_program_id' => 1,
'recipient_group_entity_id' => 1,
'trip_id' => 1,
'designation_entity_id' => 1,
'cover_image_id' => 1,
'settings' => [
'program_setting_id' => 1,
'public_page_enabled' => false,
'show_sponsors' => false,
'show_remaining_capacity' => false,
'allow_donation_addon' => false,
'allow_recurring_gift_ask' => false,
'allow_child_sponsorship_ask' => false,
'recipient_sponsorship_program_id' => 1,
'cover_fees_enabled' => false,
'processing_percentage' => 1,
'reservation_minutes' => 30,
'public_offline_payment_enabled' => false,
'magic_link_management_enabled' => false,
'event_day_check_in_enabled' => false,
'check_in_blocked_payment_statuses' => [
'pending'
],
'include_pending_orders_in_event_revenue' => false,
'wallet_passes_enabled' => false,
'auction_enabled' => false,
'privacy_mode' => 'Example',
'check_payment_instructions' => 'Example',
'donor_hysform_id' => 1,
'emailset_id' => 1,
'confirmation_email_template_id' => 1,
'reminder_email_template_id' => 1,
'follow_up_email_template_id' => 1,
'donation_ask_amounts' => [
1
]
],
'template' => 'Example',
'starter_preset' => 'Example',
'seed_standard_communications' => false
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.gratona.com/v1/admin/events/{id}"
payload := strings.NewReader("{\n \"name\": \"Annual Gala\",\n \"slug\": \"annual-gala\",\n \"description\": \"Example\",\n \"type\": \"Example\",\n \"status\": \"draft\",\n \"visibility\": \"public\",\n \"search_indexing_enabled\": false,\n \"timezone\": \"Example\",\n \"starts_at\": \"2026-12-20T18:00:00Z\",\n \"ends_at\": \"2026-12-20T18:00:00Z\",\n \"registration_opens_at\": \"2026-12-20T18:00:00Z\",\n \"registration_closes_at\": \"2026-12-20T18:00:00Z\",\n \"location_name\": \"Example\",\n \"location_address\": \"Example\",\n \"public_location_mode\": \"hidden\",\n \"public_location_summary\": \"Example\",\n \"full_address_release_policy\": \"never\",\n \"full_address_release_at\": \"2026-12-20T18:00:00Z\",\n \"communications_hold\": false,\n \"release_communications_hold_confirmed\": false,\n \"registration_identity_mode\": \"minimal_rsvp\",\n \"virtual_url\": \"Example\",\n \"capacity\": 1,\n \"program_id\": 1,\n \"campaign_program_id\": 1,\n \"recipient_group_entity_id\": 1,\n \"trip_id\": 1,\n \"designation_entity_id\": 1,\n \"cover_image_id\": 1,\n \"settings\": {\n \"program_setting_id\": 1,\n \"public_page_enabled\": false,\n \"show_sponsors\": false,\n \"show_remaining_capacity\": false,\n \"allow_donation_addon\": false,\n \"allow_recurring_gift_ask\": false,\n \"allow_child_sponsorship_ask\": false,\n \"recipient_sponsorship_program_id\": 1,\n \"cover_fees_enabled\": false,\n \"processing_percentage\": 1,\n \"reservation_minutes\": 30,\n \"public_offline_payment_enabled\": false,\n \"magic_link_management_enabled\": false,\n \"event_day_check_in_enabled\": false,\n \"check_in_blocked_payment_statuses\": [\n \"pending\"\n ],\n \"include_pending_orders_in_event_revenue\": false,\n \"wallet_passes_enabled\": false,\n \"auction_enabled\": false,\n \"privacy_mode\": \"Example\",\n \"check_payment_instructions\": \"Example\",\n \"donor_hysform_id\": 1,\n \"emailset_id\": 1,\n \"confirmation_email_template_id\": 1,\n \"reminder_email_template_id\": 1,\n \"follow_up_email_template_id\": 1,\n \"donation_ask_amounts\": [\n 1\n ]\n },\n \"template\": \"Example\",\n \"starter_preset\": \"Example\",\n \"seed_standard_communications\": false\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.gratona.com/v1/admin/events/{id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"Annual Gala\",\n \"slug\": \"annual-gala\",\n \"description\": \"Example\",\n \"type\": \"Example\",\n \"status\": \"draft\",\n \"visibility\": \"public\",\n \"search_indexing_enabled\": false,\n \"timezone\": \"Example\",\n \"starts_at\": \"2026-12-20T18:00:00Z\",\n \"ends_at\": \"2026-12-20T18:00:00Z\",\n \"registration_opens_at\": \"2026-12-20T18:00:00Z\",\n \"registration_closes_at\": \"2026-12-20T18:00:00Z\",\n \"location_name\": \"Example\",\n \"location_address\": \"Example\",\n \"public_location_mode\": \"hidden\",\n \"public_location_summary\": \"Example\",\n \"full_address_release_policy\": \"never\",\n \"full_address_release_at\": \"2026-12-20T18:00:00Z\",\n \"communications_hold\": false,\n \"release_communications_hold_confirmed\": false,\n \"registration_identity_mode\": \"minimal_rsvp\",\n \"virtual_url\": \"Example\",\n \"capacity\": 1,\n \"program_id\": 1,\n \"campaign_program_id\": 1,\n \"recipient_group_entity_id\": 1,\n \"trip_id\": 1,\n \"designation_entity_id\": 1,\n \"cover_image_id\": 1,\n \"settings\": {\n \"program_setting_id\": 1,\n \"public_page_enabled\": false,\n \"show_sponsors\": false,\n \"show_remaining_capacity\": false,\n \"allow_donation_addon\": false,\n \"allow_recurring_gift_ask\": false,\n \"allow_child_sponsorship_ask\": false,\n \"recipient_sponsorship_program_id\": 1,\n \"cover_fees_enabled\": false,\n \"processing_percentage\": 1,\n \"reservation_minutes\": 30,\n \"public_offline_payment_enabled\": false,\n \"magic_link_management_enabled\": false,\n \"event_day_check_in_enabled\": false,\n \"check_in_blocked_payment_statuses\": [\n \"pending\"\n ],\n \"include_pending_orders_in_event_revenue\": false,\n \"wallet_passes_enabled\": false,\n \"auction_enabled\": false,\n \"privacy_mode\": \"Example\",\n \"check_payment_instructions\": \"Example\",\n \"donor_hysform_id\": 1,\n \"emailset_id\": 1,\n \"confirmation_email_template_id\": 1,\n \"reminder_email_template_id\": 1,\n \"follow_up_email_template_id\": 1,\n \"donation_ask_amounts\": [\n 1\n ]\n },\n \"template\": \"Example\",\n \"starter_preset\": \"Example\",\n \"seed_standard_communications\": false\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gratona.com/v1/admin/events/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"Annual Gala\",\n \"slug\": \"annual-gala\",\n \"description\": \"Example\",\n \"type\": \"Example\",\n \"status\": \"draft\",\n \"visibility\": \"public\",\n \"search_indexing_enabled\": false,\n \"timezone\": \"Example\",\n \"starts_at\": \"2026-12-20T18:00:00Z\",\n \"ends_at\": \"2026-12-20T18:00:00Z\",\n \"registration_opens_at\": \"2026-12-20T18:00:00Z\",\n \"registration_closes_at\": \"2026-12-20T18:00:00Z\",\n \"location_name\": \"Example\",\n \"location_address\": \"Example\",\n \"public_location_mode\": \"hidden\",\n \"public_location_summary\": \"Example\",\n \"full_address_release_policy\": \"never\",\n \"full_address_release_at\": \"2026-12-20T18:00:00Z\",\n \"communications_hold\": false,\n \"release_communications_hold_confirmed\": false,\n \"registration_identity_mode\": \"minimal_rsvp\",\n \"virtual_url\": \"Example\",\n \"capacity\": 1,\n \"program_id\": 1,\n \"campaign_program_id\": 1,\n \"recipient_group_entity_id\": 1,\n \"trip_id\": 1,\n \"designation_entity_id\": 1,\n \"cover_image_id\": 1,\n \"settings\": {\n \"program_setting_id\": 1,\n \"public_page_enabled\": false,\n \"show_sponsors\": false,\n \"show_remaining_capacity\": false,\n \"allow_donation_addon\": false,\n \"allow_recurring_gift_ask\": false,\n \"allow_child_sponsorship_ask\": false,\n \"recipient_sponsorship_program_id\": 1,\n \"cover_fees_enabled\": false,\n \"processing_percentage\": 1,\n \"reservation_minutes\": 30,\n \"public_offline_payment_enabled\": false,\n \"magic_link_management_enabled\": false,\n \"event_day_check_in_enabled\": false,\n \"check_in_blocked_payment_statuses\": [\n \"pending\"\n ],\n \"include_pending_orders_in_event_revenue\": false,\n \"wallet_passes_enabled\": false,\n \"auction_enabled\": false,\n \"privacy_mode\": \"Example\",\n \"check_payment_instructions\": \"Example\",\n \"donor_hysform_id\": 1,\n \"emailset_id\": 1,\n \"confirmation_email_template_id\": 1,\n \"reminder_email_template_id\": 1,\n \"follow_up_email_template_id\": 1,\n \"donation_ask_amounts\": [\n 1\n ]\n },\n \"template\": \"Example\",\n \"starter_preset\": \"Example\",\n \"seed_standard_communications\": false\n}"
response = http.request(request)
puts response.read_body{
"data": {
"name": "Annual Gala",
"slug": "annual-gala",
"description": "Example",
"type": "Example",
"status": "draft",
"visibility": "public",
"search_indexing_enabled": false,
"timezone": "Example",
"starts_at": "2026-12-20T18:00:00Z",
"ends_at": "2026-12-20T18:00:00Z",
"registration_opens_at": "2026-12-20T18:00:00Z",
"registration_closes_at": "2026-12-20T18:00:00Z",
"location_name": "Example",
"location_address": "Example",
"public_location_mode": "hidden",
"public_location_summary": "Example",
"full_address_release_policy": "never",
"full_address_release_at": "2026-12-20T18:00:00Z",
"communications_hold": false,
"registration_identity_mode": "minimal_rsvp",
"virtual_url": "Example",
"capacity": 1,
"program_id": 1,
"campaign_program_id": 1,
"recipient_group_entity_id": 1,
"trip_id": 1,
"designation_entity_id": 1,
"cover_image_id": 1,
"settings": {
"program_setting_id": 1,
"public_page_enabled": false,
"show_sponsors": false,
"show_remaining_capacity": false,
"allow_donation_addon": false,
"allow_recurring_gift_ask": false,
"allow_child_sponsorship_ask": false,
"recipient_sponsorship_program_id": 1,
"cover_fees_enabled": false,
"processing_percentage": 1,
"reservation_minutes": 30,
"public_offline_payment_enabled": false,
"magic_link_management_enabled": false,
"event_day_check_in_enabled": false,
"check_in_blocked_payment_statuses": [
"pending"
],
"include_pending_orders_in_event_revenue": false,
"wallet_passes_enabled": false,
"auction_enabled": false,
"privacy_mode": "Example",
"check_payment_instructions": "Example",
"donor_hysform_id": 1,
"emailset_id": 1,
"confirmation_email_template_id": 1,
"reminder_email_template_id": 1,
"follow_up_email_template_id": 1,
"donation_ask_amounts": [
1
]
},
"id": 42,
"client_id": 42,
"cover_image_url": "Example",
"currency": "USD",
"location": {
"mode": "internal",
"label": "Example",
"venue": "Example",
"address": "Example",
"map_allowed": false
},
"inherited_event_settings": {},
"published_at": "2026-10-20T12:00:00Z",
"completed_at": "2026-10-20T12:00:00Z",
"registered_attendee_count": 42,
"checked_in_count": 42,
"readiness": [
{
"key": "event_profile",
"label": "Event profile",
"ready": false,
"required": false,
"message": "Name, slug, and event type are required."
}
],
"people": [
{
"id": 42,
"role": "host",
"display_name": "Example",
"public_visibility": false,
"sort_order": 42,
"donor_id": 42,
"user_id": 42
}
],
"ticket_types": [
{
"id": 1,
"client_id": 1,
"event_id": 1,
"name": "Annual Gala",
"code": "Example",
"description": "Example",
"price": "25.00",
"fair_market_value": "25.00",
"quantity_available": 1,
"quantity_sold": 1,
"quantity_reserved": 1,
"admissions_per_unit": 1,
"registration_group_kind": "Example",
"group_label_prompt": "Example",
"attendee_details_timing": "Example",
"waitlist_enabled": false,
"min_per_order": 1,
"max_per_order": 1,
"attendee_details_required": false,
"is_active": false,
"visibility": "public",
"sale_starts_at": "2026-10-20T12:00:00Z",
"sale_ends_at": "2026-10-20T12:00:00Z",
"sort_order": 1,
"settings": {},
"created_at": "2026-10-20T12:00:00Z",
"updated_at": "2026-10-20T12:00:00Z",
"deleted_at": "2026-10-20T12:00:00Z"
}
],
"questions": [
{
"id": 1,
"client_id": 1,
"event_id": 1,
"scope": "Example",
"field_key": "dietary_preferences",
"field_label": "Dietary preferences",
"field_type": "Example",
"help_text": "Example",
"options": [
"Example"
],
"applies_to_ticket_type_ids": [
1
],
"required": false,
"is_active": false,
"sort_order": 1,
"created_at": "2026-10-20T12:00:00Z",
"updated_at": "2026-10-20T12:00:00Z",
"deleted_at": "2026-10-20T12:00:00Z"
}
],
"sponsor_packages": [
{
"id": 1,
"client_id": 1,
"event_id": 1,
"name": "Annual Gala",
"tier": "Example",
"description": "Example",
"price": "25.00",
"fair_market_value": "25.00",
"included_tickets": 1,
"included_tables": 1,
"quantity_available": 1,
"quantity_sold": 1,
"quantity_reserved": 1,
"visibility": "public",
"deliverables_template": [
"<string>"
],
"settings": {},
"is_active": false,
"sort_order": 1,
"created_at": "2026-10-20T12:00:00Z",
"updated_at": "2026-10-20T12:00:00Z",
"deleted_at": "2026-10-20T12:00:00Z"
}
],
"tables": [
{
"id": 1,
"client_id": 1,
"event_id": 1,
"name": "Annual Gala",
"section": "Example",
"capacity": 1,
"host_donor_id": 1,
"sort_order": 1,
"notes": "Example",
"created_at": "2026-10-20T12:00:00Z",
"updated_at": "2026-10-20T12:00:00Z",
"deleted_at": "2026-10-20T12:00:00Z",
"attendees_count": 42
}
],
"auction_items": [
{
"id": 1,
"client_id": 1,
"event_id": 1,
"name": "Annual Gala",
"description": "Example",
"fair_market_value": "25.00",
"starting_bid": "25.00",
"buy_now_price": "25.00",
"quantity_available": 1,
"quantity_sold": 1,
"status": "draft",
"visibility": "public",
"sort_order": 1,
"settings": {},
"created_at": "2026-10-20T12:00:00Z",
"updated_at": "2026-10-20T12:00:00Z",
"deleted_at": "2026-10-20T12:00:00Z",
"bid_summary": {
"active_bid_count": 42,
"awarded_count": 42,
"bid_count": 42,
"purchased_count": 42,
"high_bid": 0,
"settled_total": 0,
"last_bid_at": "Example",
"leader_at": "Example",
"leader_signature": "Example",
"leader_status": "Example",
"winner": "Example"
}
}
],
"promo_codes": [
{
"id": 1,
"client_id": 1,
"event_id": 1,
"code": "Example",
"type": "Example",
"value": "25.00",
"max_redemptions": 1,
"redemptions_count": 1,
"per_order_limit": 1,
"starts_at": "2026-10-20T12:00:00Z",
"ends_at": "2026-10-20T12:00:00Z",
"ticket_type_ids": [
1
],
"sponsor_package_ids": [
1
],
"is_active": false,
"created_at": "2026-10-20T12:00:00Z",
"updated_at": "2026-10-20T12:00:00Z",
"deleted_at": "2026-10-20T12:00:00Z"
}
],
"communications": [
{
"id": 1,
"client_id": 1,
"event_id": 1,
"type": "Example",
"trigger": "Example",
"channel": "Example",
"status": "draft",
"segment": "Example",
"subject": "Example",
"body": "Example",
"send_at": "2026-10-20T12:00:00Z",
"schedule_mode": "Example",
"schedule_config": {},
"schedule_claim_id": 1,
"claimed_at": "2026-10-20T12:00:00Z",
"sent_at": "2026-10-20T12:00:00Z",
"metadata": {},
"created_at": "2026-10-20T12:00:00Z",
"updated_at": "2026-10-20T12:00:00Z",
"deleted_at": "2026-10-20T12:00:00Z"
}
],
"capabilities": {
"can_view": false,
"can_manage_setup": false,
"can_manage_sponsors": false,
"can_check_in": false,
"can_view_finance": false,
"can_run_reports": false,
"can_publish": false
},
"availability": {},
"registration_v2_enabled": false,
"invitation_task_date_review": {}
}
}{
"message": "Something went wrong. Please try again.",
"status": "error",
"error": "invalid_request",
"code": "DONOR_NOT_FOUND"
}{
"message": "Something went wrong. Please try again.",
"status": "error",
"error": "invalid_request",
"code": "DONOR_NOT_FOUND"
}{
"message": "Not Found",
"status": "error"
}{
"errors": {},
"status": "error",
"message": "The given data was invalid."
}